How to Compile(Install) the Latest Wine 32-bit on 64-bit Ubuntu (15.10)

Download the source tarball from here (direct link here) and uncompress it (tar -xf wine-1.7.53)(you can uncompress it by right click on the downloaded fule and click on extract here).

Next, install the dependencies:

sudo apt-get install build-essential gcc-multilib libx11-dev:i386 libfreetype6-dev:i386 libxcursor-dev:i386 libxi-dev:i386 libxshmfence-dev:i386 libxxf86vm-dev:i386 libxrandr-dev:i386 libxinerama-dev:i386 libxcomposite-dev:i386 libglu1-mesa-dev:i386 libosmesa6-dev:i386 libpcap0.8-dev:i386 libdbus-1-dev:i386 libncurses5-dev:i386 libsane-dev:i386 libv4l-dev:i386 libgphoto2-dev:i386 liblcms2-dev:i386 gstreamer0.10-plugins-base:i386 libcapi20-dev:i386 libcups2-dev:i386 libfontconfig1-dev:i386 libgsm1-dev:i386 libtiff5-dev:i386 libmpg123-dev:i386 libopenal-dev:i386 libldap2-dev:i386 libgnutls-dev:i386 libjpeg-dev:i386

copy paste the above line in terminal

after this go the inside the wine folder that we have extracted or uncompressed earlier and file file configure and right click and select properties and the click on permissions and tick allow executing file as program

right click inside the wine downloaded folder and click open in termnal paste below commands

For 32-bit, run below commands one by one:

sudo apt-get install flex bison

./configure –without-freetype –without-x

make

make install

For 64-bit, run:

sudo apt-get install flex bison

./configure –without-freetype –without-x –enable-win64

make

make install

Leave a Comment

Your email address will not be published. Required fields are marked *

To Resolve this issue at just 5$ from ServerExpert

https://serverexpert.io/

For Hosting please visit Hostingwebsite.io

You have Successfully Subscribed!

Open chat